Suppressing interlanguage links inclusion should also hide "Edit links"
Closed, ResolvedPublic

Description

This edit on en.wikipedia concerns me:

https://en.wikipedia.org/w/index.php?title=MediaWiki:Common.css&curid=2213345&diff=538111527&oldid=535671838

body.page-Main_Page .wbc-editpage {

display: none;

}

Something like that should never be necessary.

If it isn't really turned off, then the link should be visible.

If it is turned off (as the author of that revision claims), then the link should be invisible.

Is there a way to turn off interlanguage inclusion on a page? And if so, does it also hide the link? And if so, why is that functionality not used for the Main Page?


Version: unspecified
Severity: normal

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz45037.
Krinkle created this task.Via LegacyFeb 15 2013, 9:00 AM
aude added a comment.Via ConduitFeb 15 2013, 9:58 AM

It is a bug indeed and that just temporarily hides the link in the most obvious spot

we will fix in the right way ASAP

jeblad added a comment.Via ConduitMar 13 2013, 12:48 AM

Something strange happened while doing reviews. I also did some stuff in another closed terminal.
This is the history from the terminal where I checked out the latest stuff. I run tests in another terminal.

1342 git branch | fgrep '45150'
1343 git checkout master
1344 git pull
1345 git checkout maintenance-script-for-summary-45150
1346 git status
1347 git checkout master # at this point I left the summary-stuff in its branch
1348 git review -d 51179 # (bug 45037) show edit link only if we have repo links
1349 git checkout master
1350 git pull
1351 git review -d 53381 # (Bug 43994) New Special:UnconnectedPages
1352 git rebase origin/master
1353 git status
1354 git commit --amend
1355 git review
1356 git pull
1357 git checkout master
1358 git pull
1359 git review -d 53395 # Moved ClaimSaver and ExceptionWithCode to their own files
1360 git checkout master
1361 git pull
1362 git review -d 53414 # Show/hide the wikibase watchlist entries server side
1363 git rebase origin/master
1364 git checkout master # checkout of master to find the errors
1365 git pull
1366 history

After 1362 I found that tests failed to run, did a checkout of master and found a lot of errors. 1359 should not introduce errors in the client. At 1348 I did not find any errors. Perhaps some rebase and/or merge has triggered something.

This is the testrun that found the errors
john@loke[master] ~/Workspace/core/tests/phpunit> env MW_INSTALL_PATH="/var/www/client" php phpunit.php --verbose --group WikibaseClient --conf /var/www/client/LocalSettings.php

john@loke[master] ~/Workspace/Wikibase> git reset --hard HEAD^
HEAD is now at 0905d95 Merge "(bug 45037) show edit link only if we have repo links"
john@loke[master] ~/Workspace/Wikibase> git reset --hard HEAD^^
HEAD is now at 7d3cb0f (Bug 41882) Followup for restrictions for special pages

Going one back did not remove the errors, going two back did remove them. So it seems like the merge at 0905d95 "(bug 45037) show edit link only if we have repo links" triggered the errors. That is line 1348 in my history and I did not do a local rebase before the merge.

I'm going to revert the changeset and then we must try to figure out what went wrong.

jeblad added a comment.Via ConduitMar 13 2013, 12:58 AM

I guess I was to focused on testing page_props in the UI and by MySQL Workbench, and simply forgot to run the tests on this specific review.

AnjaJentzsch added a comment.Via ConduitMar 15 2013, 3:45 PM

Original changeset got reverted, new changeset: https://gerrit.wikimedia.org/r/#/c/53543/

AnjaJentzsch added a comment.Via ConduitMar 20 2013, 2:25 PM

Change I97cc9378: (bug 45037) show edit link only if we have repo links

Changeset is merged.

Abraham added a comment.Via ConduitMar 20 2013, 5:53 PM

Verified in Wikidata demo sprint 35-2

Add Comment